==================== Changes in man-pages-3.41 ====================

Released: 2011-05-11, Christchurch


Contributors
------------

The following people contributed patches/fixes or (noted in brackets
in the changelog below) reports, notes, and ideas that have been
incorporated in changes in this release:

Akihiro MOTOKI <amotoki@gmail.com>
Andries E. Brouwer <Andries.Brouwer@cwi.nl>
Angelo Borsotti <angelo.borsotti@gmail.com >
Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
Brian M. Carlson <sandals@crustytoothpaste.ath.cx>
Casper.Dik@oracle.com
David Prévot <taffit@debian.org>
D. Barbier <bouzim@gmail.com>
Eric Blake <eblake@redhat.com>
Hugh Dickins <hughd@google.com>
Ivana Varekova <varekova@redhat.com>
Jakub Jelinek <jakub@redhat.com>
Jan Kara <jack@suse.cz>
Jason Baron <jbaron@redhat.com>
Jean-Michel Vourgère <jmv_deb@nirgal.com>
Jeff Moyer <jmoyer@redhat.com>
Josh Triplett <josh@joshtriplett.org>
Kasper Dupont <kasperd@gmail.com>
KOSAKI Motohiro <kosaki.motohiro@jp.fujitsu.com>
Lauri Kasanen <curaga@operamail.com>
Mel Gorman <mgorman@suse.de>
Michael Kerrisk <mtk.manpages@gmail.com>
Mike Frysinger <vapier@gentoo.org>
Nick Piggin <npiggin@gmail.com>
Paul Pluzhnikov <ppluzhnikov@google.com>
Petr Baudis <pasky@ucw.cz>
Ralph Corderoy <ralph@inputplus.co.uk >
Rich Felker <bugdal@aerifal.cx>
Simone Piccardi <piccardi@truelite.it>
Simon Paillard <spaillard@debian.org>
Stefan Puiu <stefan.puiu@gmail.com>
Stephen Hemminger <shemminger@vyatta.com>
Vincent Lefevre <vincent@vinc17.net>
Yuri Kozlov <yuray@komyakino.ru>

Apologies if I missed anyone!


New and rewritten pages
-----------------------

get_robust_list.2
    Ivana Varekova  [Michael Kerrisk]
        New page documenting get_robust_list(2) and set_robust_list(2)

mallinfo.3
    Michael Kerrisk [KOSAKI Motohiro, Paul Pluzhnikov]
        New page for mallinfo(3)

malloc_info.3
    Michael Kerrisk  [Jakub Jelinek]
        New page for malloc_info(3)

malloc_stats.3
    Michael Kerrisk  [KOSAKI Motohiro]
        New man page for malloc_stats(3)


Newly documented interfaces in existing pages
---------------------------------------------

madvise.2
    Jason Baron
        Document MADV_DONTDUMP and MADV_DODUMP


New and changed links
---------------------

set_robust_list.2
    Michael Kerrisk
        New link to new get_robust_list.2 page

LIST_ENTRY.3
LIST_HEAD.3
LIST_INIT.3
LIST_INSERT_AFTER.3
LIST_INSERT_HEAD.3
LIST_REMOVE.3
TAILQ_ENTRY.3
TAILQ_HEAD.3
TAILQ_INIT.3
TAILQ_INSERT_AFTER.3
TAILQ_INSERT_HEAD.3
TAILQ_INSERT_TAIL.3
TAILQ_REMOVE.3
CIRCLEQ_ENTRY.3
CIRCLEQ_HEAD.3
CIRCLEQ_INIT.3
CIRCLEQ_INSERT_AFTER.3
CIRCLEQ_INSERT_BEFORE.3
CIRCLEQ_INSERT_HEAD.3
CIRCLEQ_INSERT_TAIL.3
CIRCLEQ_REMOVE.3
    Michael Kerrisk
        New link to queue.3
            The queue(3) page documents these macros, so it makes sense to
            have links for the names.

DES_FAILED.3
    Michael Kerrisk
        New link to des_crypt.3
            The des_crypt(3) page documents this macro, so it makes sense
            to have a link for the name.

qsort_r.3
    Michael Kerrisk
        New link to qsort.3
            Overlooked to add this link in 3.38, when documentation of
            qsort_r() was added to the qsort.3 page.


Global changes
--------------

faccessat.2
fchmodat.2
fchownat.2
fstatat.2
futimesat.2
inotify_init.2
linkat.2
mkdirat.2
mknodat.2
openat.2
readlinkat.2
renameat.2
setns.2
splice.2
symlinkat.2
sync.2
tee.2
unlinkat.2
vmsplice.2
    Michael Kerrisk  [Lauri Kasanen]
        Global fix: note glibc version that added library support

confstr.3
strcasecmp.3
strcat.3
strcmp.3
strcpy.3
strdup.3
strftime.3
strlen.3
strnlen.3
strpbrk.3
strspn.3
strtok.3
strxfrm.3
    Michael Kerrisk  [Andries E. Brouwer]
        Clarify that these functions operate on bytes, not (wide) characters
            Change 'character(s)' to 'byte(s)' to make clear that these
            functions operate on bytes, not wide / UTF8 characters.
            (POSIX uses 'byte(s)' similarly, to make this point.)

icmp.7
ipv6.7
packet.7
raw.7
rtnetlink.7
unix.7
x25.7
    Michael Kerrisk
        Remove names of constants from NAME line
            Some of the sockets/network protocol pages included names of
            the corresponding address family constants in the NAME line,
            but this wasn't done consistently across all pages, and probably
            it adds little value in those pages that did do this. So, remove
            these constants from those pages that have them in the NAME
            section.


Changes to individual pages
---------------------------

clock_getres.2
    Michael Kerrisk  [Josh Triplett]
        Expand description of CLOCK_REALTIME
            Make it clear that this clock may be discontinuous, and is
            affected my incremental NTP and clock-adjtime(2) adjustments.

            See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=540872

epoll_wait.2
    Michael Kerrisk
        Clarify that 'timeout' is a *minimum* interval
            Make it clear that 'timeout' is a minimum interval; the actual
            interval will be rounded up to the system clock granularity,
            and may overrun because of kernel scheduling delays.

execve.2
    Michael Kerrisk
        Rewording to deemphasize libc5 details

fork.2
    Mike Frysinger
        ERRORS: add ENOSYS
            Can occur on, for example, non-MMU hardware.

getcpu.2
    Mike Frysinger
        Add RETURN VALUE and ERRORS sections
    Michael Kerrisk
        Refer reader to NOTES for more info about 'tcache'
    Michael Kerrisk
        DESCRIPTION: reword a sentence to be clearer

io_cancel.2
io_destroy.2
io_getevents.2
io_setup.2
io_submit.2
    Michael Kerrisk
        Rewrite to focus on system call API
            Rewrite to focus on the system call interface, adding
            some notes on the libaio wrapper differences.
            See the following mail:
            2012-05-07 "aio manuals", linux-man@vger.kernel.org
            http://thread.gmane.org/gmane.linux.man/1935/focus=2910

            Other minor rewrites.

mount.2
    Michael Kerrisk
        Comment out an old Linux libc detail

open.2
    Nick Piggin  [KOSAKI Motohiro, Jan Kara, Hugh Dickins]
        Describe race of direct I/O and fork()
            Rework 04cd7f64, which didn't capture the details correctly.
            See the April/May 2012 linux-man@ mail thread "[PATCH]
            Describe race of direct read and fork for unaligned buffers"
            http://thread.gmane.org/gmane.linux.kernel.mm/77571

poll.2
    Michael Kerrisk
        Clarify that 'timeout' is a *minimum* interval
            Make it clear that 'timeout' is a minimum interval; the actual
            interval will be rounded up to the system clock granularity,
            and may overrun because of kernel scheduling delays.
    Michael Kerrisk
        Clarify discussion of wrapper function emulation
            Clarify that glibc (as well as old libc) provides emulation
            using select(2) on older kernels that don't have a poll()
            system call.
    Michael Kerrisk
        Make the meaning of a zero timeout explicit
            Clarify that timeout==0 causes an immediate return, even if
            no file descriptors are ready.

pread.2
    Michael Kerrisk  [Kasper Dupont]
        BUGS: Note O_APPEND + pwrite() does the wrong thing
            See https://bugzilla.kernel.org/show_bug.cgi?id=43178

recvmmsg.2
    Michael Kerrisk
        Clarify that 'timeout' is a *minimum* interval
            Make it clear that 'timeout' interval will be rounded up to the
            system clock granularity, and may overrun because of kernel
            scheduling delays.

select.2
    Michael Kerrisk
        Clarify that 'timeout' is a *minimum* interval
            Make it clear that 'timeout' is a minimum interval; the actual
            interval will be rounded up to the system clock granularity,
            and may overrun because of kernel scheduling delays.
    Michael Kerrisk
        Expand description of the self-pipe trick
    Michael Kerrisk
        Add further details on pselect6() system call that underlies pselect()

semop.2
    Michael Kerrisk
        Clarify that 'timeout' of semtimedop() is a *minimum* interval
            Make it clear that 'timeout' interval will be rounded up to the
            system clock granularity, and may overrun because of kernel
            scheduling delays.

signal.2
    Michael Kerrisk
        Note that 'sig_t' requires _BSD_SOURCE
            Also remove some old Linux libc details

sigwaitinfo.2
    Michael Kerrisk
        Clarify that 'timeout' of sigtimedwait() is a *minimum* interval
            Make it clear that 'timeout' is a minimum interval; the actual
            interval will be rounded up to the system clock granularity,
            and may overrun because of kernel scheduling delays.

stat.2
    Bjarni Ingi Gislason
        Formatting fixes
            From "groff -ww" (or "man --warnings=w ..."):

                warning: around line 442: table wider than line width

            GNU man uses line length of 78.

            Use text blocks.  Two spaces between sentences or better: start
            each sentence in a new line.

syscalls.2
    Bjarni Ingi Gislason
        Formatting fixes
            From "groff -ww ..." (or "man --warnings=w ..."):

                warning: around line 157: table wider than line width

            Have to use text blocks.  Move some text to its correct column.
            Split text to two columns to avoid hyphenation.

sysinfo.2
    Michael Kerrisk
        Remove reference to obsolete libc5

syslog.2
    Michael Kerrisk
        Remove some details about obsolete Linux libc

aio_cancel.3
aio_error.3
aio_fsync.3
aio_read.3
aio_return.3
aio_suspend.3
aio_write.3
    Michael Kerrisk
        ERRORS: Add/update ENOSYS error

aio_cancel.3
    Michael Kerrisk
        Clarify what happens when a request isn't successfully canceled
    Michael Kerrisk
        Add pointers to aio(7) and sigevent(7)

dbopen.3
    Michael Kerrisk
        SYNOPSIS: Add header file <fcntl.h>
            Upstreamed from Debian, and consistent with FreeBSD
            dbopen(3) man page.

fmemopen.3
    Michael Kerrisk
        Note details of POSIX.1-2008 specification of 'b' in 'mode'
    Michael Kerrisk  [Rich Felker]
        BUGS: fmemopen() doesn't correctly set file position in some cases
            If 'mode' is append, but 'size' does not cover a null byte
            in 'buf', then fmemopen() incorrectly sets the initial file
            position to -1, rather than the next byte after the end of
            the buffer.

            See http://sourceware.org/bugzilla/show_bug.cgi?id=13151
    Michael Kerrisk
        BUGS: fmemopen() incorrectly handles size==0 case
            If size is zero, fmemopen() fails, This is surprising behavior,
            and not specified in POSIX.1-2008.

            See http://sourceware.org/bugzilla/show_bug.cgi?id=11216

            Reported-by; Alex Shinn <alexshinn@gmail.com>
    Michael Kerrisk
        BUGS: Note silent ABI change for fmemopen() in glibc 2.9
    Michael Kerrisk  [Rich Felker]
        BUGS: Append mode does not force writes to append
            Append mode correctly sets the initial offset but does
            not force subsequent writes to append at end of stream.

            See http://sourceware.org/bugzilla/show_bug.cgi?id=13152
    Michael Kerrisk  [Eric Blake]
        BUGS: Note inconsistent treatment of 'b' in 'mode'
            fopen() permits, for example, both "w+b" and "wb+",
            but only the latter is meaningful to fmemopen().

            See http://sourceware.org/bugzilla/show_bug.cgi?id=12836

fopencookie.3
    Michael Kerrisk  [Petr Baudis]
        Correct description of return for user-supplied 'write' function
            See http://sourceware.org/bugzilla/show_bug.cgi?id=2074

getaddrinfo.3
    Jean-Michel Vourgère
        Note that AI_ADDRCONFIG is not affected by loopback addresses
            See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660479

iconv.3
    Michael Kerrisk
        Upstream useful NOTE from Debian
            Warn the reader that the pointer arguments can't be
            interpreted as C style strings. Also, note possible
            alignment requirements for the referenced bytes sequences,
    Michael Kerrisk
        Write a better paragraph introducing iconv() and its arguments

isgreater.3
    Michael Kerrisk  [Vincent Lefevre]
        Clarify that the arguments to these macros must be real-floating
            See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609033

lio_listio.3
    Michael Kerrisk
        Clarify that async notification occurs when *all* I/Os complete

makedev.3
    Michael Kerrisk
        SYNOPSIS: Correct return types of major() and minor()
            See https://bugzilla.redhat.com/show_bug.cgi?id=754188

            Reported-by; Zdenek Kabelac <zkabelac@redhat.com>

malloc.3
    Michael Kerrisk
        SEE ALSO: Add malloc_info(3)

malloc_get_state.3
    Michael Kerrisk
        Fix wordos in function names in NAME line

mallopt.3
    Michael Kerrisk
        Fix example program
            The example code was a version that was not consistent with
            the shell output shown on the page.

            Reported-bY: Simon Paillard <spaillard@debian.org>
    Michael Kerrisk
        Restore accidentally omitted line in shell session
    Michael Kerrisk
        SEE ALSO: Add malloc_stats(3)

mmap64.3
    Michael Kerrisk
        Change target of link to mmap.2 (was mmap2.2)
            Upstreamed from Red Hat / Fedora

realpath.3
    Michael Kerrisk  [Casper.Dik@oracle.com]
        Remove note about Solaris possibly returning a relative path

syslog.3
    Michael Kerrisk  [Ralph Corderoy]
        Document behavior when 'ident' argument to openlog() is NULL
            See https://bugs.launchpad.net/ubuntu/+source/manpages/+bug/382096
    Michael Kerrisk
        Update CONFORMING TO for POSIX.1-2008
            POSIX.1-2008 doesn't change any details, but make
            that more explicit.

undocumented.3
    Michael Kerrisk
        Remove some functions that have been documented

sd.4
    Michael Kerrisk
        Remove reference to nonexistent scsi(4) page
            Upstreamed from RedHat / Fedora

sk98lin.4
    Michael Kerrisk  [Stephen Hemminger]
        Note that this driver was removed in 2.6.28
            See https://bugs.launchpad.net/ubuntu/+source/manpages/+bug/528020

passwd.5
    Michael Kerrisk
        Upstream pieces from Red Hat/Fedora
            Note mention of empty password field.
            Add description of "*NP*" in password field.
    Michael Kerrisk
        Various minor fixes and improvements

proc.5
    Michael Kerrisk
        Note that CAP_SYS_ADMIN processes can override file-max
            Upstreamed from red Hat / Fedora
    Michael Kerrisk
        Document  /proc/[pid]/cgroup
            Upstreamed from Red Hat / Fedora

resolv.conf.5
    Michael Kerrisk
        Take a Debian improvement into upstream

tzfile.5
    Michael Kerrisk
        Mention timezone directories in DESCRIPTION
            Note that timezone files are usually in /usr/lib/zoneinfo
            or /usr/share/zoneinfo.
    Michael Kerrisk
        Drop SYNOPSIS
            The SYNOPSIS doesn't correspond to a user-visible file.
    Michael Kerrisk
        SEE ALSO: Add pointer to glibc source file timezone/tzfile.h
    Michael Kerrisk
        SEE ALSO: add tzset(3) and tzselect(8)

ascii.7
    Bjarni Ingi Gislason
        Indent for "troff" makes table too wide
            Fix following from "groff -t -ww ...":

                warning: around line 53: table wider than line width

            Extra indent for "troff" makes the table look misplaced
            (default "ps" output).

cp1251.7
    Bjarni Ingi Gislason
        table too wide
            From "nroff -ww -t ...":

                warning: around line 44: table wider than line width

            Columns are made narrower (column gutter decreased).

ipv6.7
    Stefan Puiu
        Add ENODEV error for bind() to link-local IPv6 address

signal.7
    Michael Kerrisk  [Simone Piccardi]
        Clarify that SIGLOST is unused
    Michael Kerrisk
        Comment out crufty BUGS text on SIGLOST
            It must be a very long time since the statement there
            about SIGLOST was true. (The text seems to date back to
            1996.)
    Michael Kerrisk
        Update architectures for tables of signal numbers

utf-8.7
    Brian M. Carlson
        Two clarifications
            This patch clarifies that 0xc0 and 0xc1 are not valid in any UTF-8
            encoding[0], and it also references RFC 3629 instead of RFC 2279.

            [0] In order to have 0xc0, you'd have to have a two-byte encoding
            with all the data bits zero in the first byte (and thus only six
            bits of data), which would be an ASCII character encoded in the
            non-shortest form.  Similarly with 0xc1.

            See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=538641

ldconfig.8
nscd.8
    Michael Kerrisk
        Remove path prefix from NAME line
            Command names shown in NAME are normally just the basename,
            not the full pathname of the command.
